Imagick::getImageMagickLicense
Imagick::getImageMatteColor
Imagick
PHP Manual

# Imagick::getImageMatte

Return if the image has a matte channel

### Description

bool Imagick::getImageMatte ( void )

Returns `TRUE` if the image has a matte channel otherwise false. This method is available if Imagick has been compiled against ImageMagick version 6.2.9 or newer.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.